Detail
curl --request GET \
--url https://{host}/api/governance/rules/revision \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/governance/rules/revision"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/governance/rules/revision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"digest": "<string>",
"bundle_digest": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"revision": {
"bundle": {
"project_key": "<string>",
"purpose": "sft",
"rules": [
{
"rule_id": "<string>",
"kind": "literal",
"fields": [
"<string>"
],
"pattern": "<string>",
"terms": [],
"severity": "high",
"match_mode": "substring",
"ascii_case_insensitive": false,
"validator": "none",
"allows": []
}
],
"schema_version": 1,
"engine": "rust-match-v1",
"limits": {
"max_values": 1024,
"max_batch_bytes": 8388608,
"max_value_bytes": 1048576,
"max_candidates": 100000,
"max_findings": 10000
}
},
"fixtures": [
{
"case_id": "<string>",
"values": [
{
"path": "<string>",
"text": "<string>"
}
],
"expected": [],
"negative_for": []
}
],
"schema_version": 1
},
"tests": [
{
"test_id": "<string>",
"result": {
"revision_digest": "<string>",
"bundle_digest": "<string>",
"runtime_digest": "<string>",
"dependency_digest": "<string>",
"cases": [
{
"case_id": "<string>",
"status": "passed",
"expected_count": 512,
"actual_count": 500000
}
],
"schema_version": 1,
"untested_rules": []
},
"passed": true
}
],
"previously_published": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}GET
/
api
/
governance
/
rules
/
revision
Detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
1 - 256Available options:
sft, preference, evaluation, custom Pattern:
^[0-9a-f]{64}$